cwlVersion: v1.2
class: ExpressionTool
label: Gather files
doc: |
  Helper tool to organize workflow outputs

  Takes an array of files (e.g. from a workflow step) and yields them in a destination directory.

  Adapted from: https://github.com/common-workflow-language/cwl-v1.1/blob/a22b7580c6b50e77c0a181ca59d3828dd5c69143/tests/dir7.cwl
requirements:
  - class: InlineJavascriptRequirement
inputs:
  inFiles: File[]
  destination: string
expression: |
  ${
    return {"outDir": {
      "class": "Directory", 
      "basename": inputs.destination,
      "listing": inputs.inFiles
    } };
  }
outputs:
  outDir: Directory