cwlVersion: v1.2
class: CommandLineTool

doc: |
  Run script with `dotnet fsi isaSampleToRawDataSeq.fsx ../../ RNASeq 1 rnaseq-samples`

hints:
  DockerRequirement:
    dockerPull: mcr.microsoft.com/dotnet/sdk:8.0
requirements:
  - class: InitialWorkDirRequirement
    listing:
      - entryname: isaSampleToRawDataSeq.fsx
        entry:
          $include: isaSampleToRawDataSeq.fsx
  - class: EnvVarRequirement
    envDef:
      - envName: DOTNET_NOLOGO
        envValue: "true"
  - class: NetworkAccess
    networkAccess: true
baseCommand: [dotnet, fsi, isaSampleToRawDataSeq.fsx]
inputs:
  arcPath:
    type: Directory
    inputBinding:
      position: 1
  assayName:
    type: string
    inputBinding:
      position: 2
  startingNodeNum:
    type: int
    inputBinding:
      position: 3
  outName:
    type: string
    inputBinding:
      position: 4

outputs:
  sampleseqCsv:
    type: File
    outputBinding:
      glob:
        - "*.csv"
  sampleseqXlsx:
    type: File
    outputBinding:
      glob:
        - "*.xlsx"
